TONTONDocs
TON CenterAPI referenceBlocks

Get consensus block

Return the latest block that has reached consensus and is guaranteed final.

GET
/api/v2/getConsensusBlock

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/getConsensusBlock"
{
  "ok": true,
  "result": {
    "@type": "ext.blocks.consensusBlock",
    "consensus_block": 0,
    "timestamp": 0
  },
  "@extra": "string"
}
{
  "ok": false,
  "code": 401,
  "error": "API key does not exist"
}
{
  "ok": false,
  "code": 403,
  "error": "Network not allowed"
}
{
  "ok": false,
  "code": 429,
  "error": "Ratelimit exceeded"
}
{
  "ok": false,
  "code": 504,
  "error": "LITE_SERVER_NETWORK timeout"
}

Last updated on

On this page

No Headings